> ## Documentation Index
> Fetch the complete documentation index at: https://developer.utgl.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account Transfers

> Retrieve a collection of account transfer in reverse chronological order



## OpenAPI

````yaml /issuing/api-reference/openapi.yaml get /accounts/transfers
openapi: 3.1.0
info:
  title: API Reference
  version: '1.0'
servers:
  - url: https://access.utgl.io/v1
  - url: https://sandbox.access.utgl.io/v1
security:
  - Basic: []
  - Bearer: []
tags:
  - name: Accounts
  - name: Transactions
  - name: Card Accounts
  - name: Card Products
  - name: Cards
  - name: Digital Custody
  - name: Fee
  - name: Payout
paths:
  /accounts/transfers:
    get:
      tags:
        - Transfers
      summary: Get Account Transfers
      description: Retrieve a collection of account transfer in reverse chronological order
      operationId: getAccountTransfers
      parameters:
        - name: accountId
          description: Filter transfers by account id
          required: true
          in: query
          schema:
            type: string
            format: uuid
          example: 090ab04c-2ad2-41c5-beea-9bcc44148789
        - name: id
          description: Filter transfers by transfer id
          required: false
          in: query
          schema:
            type: string
            format: uuid
          example: 05be07d5-62a2-4a4f-951e-381976672719
        - name: search
          description: Search transfers by description or ref id
          required: false
          in: query
          schema:
            type: string
          example: WTCXC0VJV0
        - name: xid
          required: false
          in: query
          schema:
            type: string
        - $ref: '#/components/parameters/PageSize'
        - $ref: '#/components/parameters/PageToken'
        - $ref: '#/components/parameters/Start'
        - $ref: '#/components/parameters/End'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/PaginatedResult'
                  - type: object
                    properties:
                      transfers:
                        type: array
                        description: Transfers
                        items:
                          $ref: '#/components/schemas/AccountTransfer'
              example:
                prevPageToken: >-
                  eyJpZCI6IjE4MTkyMGE4LWEzZTMtNGY3OC05OTNlLTkwYWNjYzgyN2E4YiIsInBhZ2VTaXplIjo1LCJjdXJyZW50IjoxLCJkaXJlY3Rpb24iOiJwcmV2In0=
                nextPageToken: >-
                  eyJpZCI6ImU1ZTNmOWY3LTI5ZjAtNDdiYi04ZTJiLWI4NjE5Y2Y2NjBjMCIsInBhZ2VTaXplIjo1LCJjdXJyZW50IjozLCJkaXJlY3Rpb24iOiJuZXh0In0=
                transfers:
                  - id: 05be07d5-62a2-4a4f-951e-381976672719
                  - asset: USD
                  - refId: WTCXC0VJV0
                  - amounts: 5000
                  - sourceAccountId: 090ab04c-2ad2-41c5-beea-9bcc44148789
                  - destinationAccountId: 1c361a1e-4990-44e4-8d50-38f81bf11477
                  - description: SETTLEMENT FOR PAYMENT \#123
                  - createdAt: '2024-01-01T16:00:00.000Z'
                  - xid: 2bbabfff-9de8-40ff-8bf0-43b97f1f06a9
                  - xmetadata:
                      group:
                        - '123'
components:
  parameters:
    PageSize:
      name: pageSize
      in: query
      description: >
        Limits the number returned items

        Some collections have a upper bound that will disregard this value.

        In case the specified value is higher than the allowed limit, the
        collection limit will be used.

        If no page size is provided, the collection will determine the page size
        itself.
      schema:
        type: number
        minimum: 1
    PageToken:
      name: pageToken
      in: query
      schema:
        type: string
        example: aWVHZWV5OVgK
    Start:
      name: dateRangeFrom
      in: query
      schema:
        format: date-time
        type: string
        example: '2022-01-01T00:00:00.000Z'
    End:
      name: dateRangeTo
      in: query
      schema:
        format: date-time
        type: string
        example: '2022-01-31T23:59:59.999Z'
  schemas:
    PaginatedResult:
      type: object
      properties:
        prevPageToken:
          $ref: '#/components/schemas/PageToken'
        nextPageToken:
          $ref: '#/components/schemas/PageToken'
    AccountTransfer:
      title: AccountTransfer
      description: Account transfer
      type: object
      required:
        - id
        - sourceAccountId
        - destinationAccountId
        - amount
        - asset
        - description
        - createdAt
      properties:
        id:
          type: string
          description: Unique identifier for the transfer
          example: 6c997ca7-8b46-43d2-aee4-dde7669cce6e
        amount:
          type: number
          description: The amount of the transfer
          example: 1000
        asset:
          type: string
          description: Asset symbol or currency being transferred
          example: USD
        description:
          type: string
          description: >-
            Description for the transfer for display purposes, e.g. on
            statements. The value is provided at the time of transfer creation
            or generated by the system.
        refId:
          type: string
          description: Human readable reference identifier for the transfer
        sourceAccountId:
          type: string
          description: The ID of the account the funds are being transferred from
        destinationAccountId:
          type: string
          description: The ID of the account the funds are being transferred to
        createdAt:
          type: string
          format: date-time
        xid:
          $ref: '#/components/schemas/Xid'
        xmetadata:
          $ref: '#/components/schemas/Xmetadata'
          type: object
    PageToken:
      type: string
      description: Opaque page token to retrieve next or previous set of results.
    Xid:
      type: string
      description: >-
        External identifier, unique across all resources created under this
        account.
    Xmetadata:
      type: object
      description: External metadata
      example:
        key1: value1
        key2:
          - value2.1
          - value2.2
      additionalProperties: true
      oneOf:
        - type: string
        - type: array
          items:
            type: string
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````